package com.nkkj.ups;


import okhttp3.*;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.scheduling.annotation.EnableScheduling;

import java.io.IOException;


@SpringBootApplication
@EnableCaching
@EnableScheduling
@MapperScan("generator.mapper")
public class UpsApplication {



    public static void main(String[] args) throws IOException {

        SpringApplication.run(UpsApplication.class, args);
    }

}
