package com.nkkj.ups.schedule;

import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

@Component
public class IsOnline {
    public static Map<String, Long> onlineMap = new ConcurrentHashMap<String, Long>();
    @Scheduled(cron = "0/10 * * * * ? ")
    public void isOnline() throws InterruptedException {
        for (String s : onlineMap.keySet()) {
            long now = new Date().getTime();
            if(now-onlineMap.get(s)>30) {
                System.out.println("超市");
            }
        }
    }
}
