package com.nkkj.ups.service.impl;

import com.nkkj.ups.service.LoginService;
import com.nkkj.ups.utils.JWT.JwtUtils;
import generator.domain.User;
import generator.mapper.UserMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.security.authentication.AuthenticationManager;
import org.springframework.stereotype.Service;

@Service
public class LoginServiceImpl implements LoginService {
    @Autowired
    UserMapper userMapper;
    @Autowired
    private RedisTemplate<String, Object> redisTemplate;
    @Override
    public User login(String username, String password) {
        redisTemplate.opsForValue().set(username,password);
        String value = (String) redisTemplate.opsForValue().get("run_id");
        System.out.println(value);
        User user=userMapper.selectOneByNameAndPassword(username,password);

        return user;
    }
}
