package com.nkkj.ups.utils;

import com.nkkj.ups.param.request.OneNetDevice;
import com.nkkj.ups.param.response.OneNetQueryDeviceProperty;
import org.springframework.stereotype.Component;

import java.io.IOException;
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

@Component
public class OneNetUtils {
    public OneNetQueryDeviceProperty QueryDeviceProperty(OneNetDevice oneNetDevice) throws IOException, InterruptedException {
        HttpClient client = HttpClient.newHttpClient();
        String urlString="https://iot-api.heclouds.com/thingmodel/query-device-property?product_id="+oneNetDevice.getProduct_id()+"device_name="+oneNetDevice.getDevice_name();
        HttpRequest request=HttpRequest.newBuilder()
                .uri(URI.create(urlString))
                .header("athorization","version=2018-10-31&res=products%2FTz9a5iUEkS%2Fdevices%2Fshante&et=1824228600&method=md5&sign=19EMD1rm2JVaRWvcCcxH6A%3D%3D")
                .build();
        HttpResponse<String> response=client.send(request,HttpResponse.BodyHandlers.ofString());
//        OneNetQueryDeviceProperty oneNetQueryDeviceProperty=response.body();
        return null;
    }
}
