package generator.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.sql.Timestamp;
import java.util.Date;
import lombok.Data;

/**
 * 
 * @TableName ups_history
 */
@TableName(value ="ups_history")
@Data
public class UpsHistory implements Serializable {
    /**
     * 
     */
    @TableId(type = IdType.AUTO)
    private Integer id;

    /**
     * 
     */
    private Integer upsId;

    /**
     * 
     */
    private String workMode;

    /**
     * 
     */
    private String deviceType;

    /**
     * 
     */
    private String status;

    /**
     * 
     */
    private String cityVol;

    /**
     * 
     */
    private String cityFreq;

    /**
     * 
     */
    private String cellVol;

    /**
     * 
     */
    private String cellCur;

    /**
     * 
     */
    private String outVol;

    /**
     * 
     */
    private String inVol;

    /**
     * 
     */
    private String outCur;

    /**
     * 
     */
    private String outFreq;

    /**
     * 
     */
    private String outPower;

    /**
     * 
     */
    private Timestamp createTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        UpsHistory other = (UpsHistory) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getUpsId() == null ? other.getUpsId() == null : this.getUpsId().equals(other.getUpsId()))
            && (this.getWorkMode() == null ? other.getWorkMode() == null : this.getWorkMode().equals(other.getWorkMode()))
            && (this.getDeviceType() == null ? other.getDeviceType() == null : this.getDeviceType().equals(other.getDeviceType()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCityVol() == null ? other.getCityVol() == null : this.getCityVol().equals(other.getCityVol()))
            && (this.getCityFreq() == null ? other.getCityFreq() == null : this.getCityFreq().equals(other.getCityFreq()))
            && (this.getCellVol() == null ? other.getCellVol() == null : this.getCellVol().equals(other.getCellVol()))
            && (this.getCellCur() == null ? other.getCellCur() == null : this.getCellCur().equals(other.getCellCur()))
            && (this.getOutVol() == null ? other.getOutVol() == null : this.getOutVol().equals(other.getOutVol()))
            && (this.getInVol() == null ? other.getInVol() == null : this.getInVol().equals(other.getInVol()))
            && (this.getOutCur() == null ? other.getOutCur() == null : this.getOutCur().equals(other.getOutCur()))
            && (this.getOutFreq() == null ? other.getOutFreq() == null : this.getOutFreq().equals(other.getOutFreq()))
            && (this.getOutPower() == null ? other.getOutPower() == null : this.getOutPower().equals(other.getOutPower()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getUpsId() == null) ? 0 : getUpsId().hashCode());
        result = prime * result + ((getWorkMode() == null) ? 0 : getWorkMode().hashCode());
        result = prime * result + ((getDeviceType() == null) ? 0 : getDeviceType().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCityVol() == null) ? 0 : getCityVol().hashCode());
        result = prime * result + ((getCityFreq() == null) ? 0 : getCityFreq().hashCode());
        result = prime * result + ((getCellVol() == null) ? 0 : getCellVol().hashCode());
        result = prime * result + ((getCellCur() == null) ? 0 : getCellCur().hashCode());
        result = prime * result + ((getOutVol() == null) ? 0 : getOutVol().hashCode());
        result = prime * result + ((getInVol() == null) ? 0 : getInVol().hashCode());
        result = prime * result + ((getOutCur() == null) ? 0 : getOutCur().hashCode());
        result = prime * result + ((getOutFreq() == null) ? 0 : getOutFreq().hashCode());
        result = prime * result + ((getOutPower() == null) ? 0 : getOutPower().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", upsId=").append(upsId);
        sb.append(", workMode=").append(workMode);
        sb.append(", deviceType=").append(deviceType);
        sb.append(", status=").append(status);
        sb.append(", cityVol=").append(cityVol);
        sb.append(", cityFreq=").append(cityFreq);
        sb.append(", cellVol=").append(cellVol);
        sb.append(", cellCur=").append(cellCur);
        sb.append(", outVol=").append(outVol);
        sb.append(", inVol=").append(inVol);
        sb.append(", outCur=").append(outCur);
        sb.append(", outFreq=").append(outFreq);
        sb.append(", outPower=").append(outPower);
        sb.append(", createTime=").append(createTime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}